package cn.ey.biz.module.system.convert.logger;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.logger.dto.ApiAccessLogCreateReqDTO;
import cn.ey.biz.module.system.controller.admin.logger.vo.apiaccesslog.ApiAccessLogExcelVO;
import cn.ey.biz.module.system.controller.admin.logger.vo.apiaccesslog.ApiAccessLogRespVO;
import cn.ey.biz.module.system.dal.dataobject.logger.ApiAccessLogDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * API 访问日志 Convert
 *
 */
@Mapper
public interface ApiAccessLogConvert {

    ApiAccessLogConvert INSTANCE = Mappers.getMapper(ApiAccessLogConvert.class);

    ApiAccessLogRespVO convert(ApiAccessLogDO bean);

    List<ApiAccessLogRespVO> convertList(List<ApiAccessLogDO> list);

    PageResult<ApiAccessLogRespVO> convertPage(PageResult<ApiAccessLogDO> page);

    List<ApiAccessLogExcelVO> convertList02(List<ApiAccessLogDO> list);

    ApiAccessLogDO convert(ApiAccessLogCreateReqDTO bean);

}
